Skip to content

# Interface: DrawerProps

Renderer.Component.DrawerProps

## Table of contents

### Properties

- animation
- className
- contentClass
- onClose
- open
- position
- size
- title
- toolbar
- usePortal

## Properties

### animation

• `Optional` animation: `string`

### className

• `Optional` className: `string` | `object`

### contentClass

• `Optional` contentClass: `string` | `object`

### onClose

• `Optional` onClose: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

### open

• open: `boolean`

### position

• `Optional` position: `"bottom"` | `"top"` | `"left"` | `"right"`

### size

• `Optional` size: `string`

### title

• title: `ReactNode`

### toolbar

• `Optional` toolbar: `ReactNode`

### usePortal

• `Optional` usePortal: `boolean`